#include <ESP8266WiFi.h>
#include <WiFiUDP.h>

#include "oscpkt.hh"

const char* ssid = "**WIFI-SSID**";
const char* password = "**WIFI-PASSWORD**";

static WiFiUDP wifiUdp;

static const char *kRemoteIpadr = "192.168.0.9";
static const int kRmoteUdpPort = 9000;

void setup() {
  Serial.begin(9600);
  delay(10);

  Serial.println("start");

  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }

  Serial.println("connected");

  Serial.print("IP address: ");
  Serial.println(WiFi.localIP());
}

void loop() {
  int sensorValue = analogRead(A0);
  
  oscpkt::PacketWriter pw;
  pw.init();
  
  oscpkt::Message msg;
  msg.init("/test");
  msg.pushInt32(sensorValue);

  pw.addMessage(msg);
  
  if (pw.isOk())
  {
    wifiUdp.beginPacket(kRemoteIpadr, kRmoteUdpPort);
    wifiUdp.write(pw.packetData(), pw.packetSize());
    wifiUdp.endPacket();  
  }
  
  delay(10);
}
